Announcement

Collapse
No announcement yet.

Updated and Optimized Ubuntu Free Graphics Drivers

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • #41
    Updates

    It's been awhile since the last status update so here it is:

    Mesa
    • nouveau Gallium3d driver now installed in the default libgl1-mesa-dri package - no need to install libgl1-mesa-dri-experimental anymore
    • added VDPAU and XvMC support (pipe-video branch) for r300/r600/nouveau drivers in the libg3dvl-mesa package
    • 2D/Xv/3D support for AMD Radeon HD 6950/6970 Cayman graphics cards
    • Ivybridge support
    • r300g bug fixes
    • other crash fixes (especially llvm related)


    EDIT: VDPAU and XvMC are also supported on r300 now! Unfortunately XvMC doesn't work (myssing symbol) and VDPAU is slower than Xv.
    Last edited by oibaf; 05-31-2011, 05:18 AM.

    Comment


    • #42
      Just want to say thanks for these packages! Makes it's much easier to get the latest (which also happen to fix a couple of bugs I had with default Ubuntu packages) drivers.

      I'm using a Radeon 9550, which is RV350 based with a slower clock than other cards (I wanted something passively cooled and wasn't too fussed about 3D at the time), and thanks to VDPAU, I can now watch 720p video without too many problems!

      Edit: OTOH that may be due to using mplayer instead of VLC...
      Last edited by tom.higgy; 05-31-2011, 11:17 AM.

      Comment


      • #43
        Originally posted by tom.higgy View Post
        Just want to say thanks for these packages! Makes it's much easier to get the latest (which also happen to fix a couple of bugs I had with default Ubuntu packages) drivers.
        Thanks

        I'm using a Radeon 9550, which is RV350 based with a slower clock than other cards (I wanted something passively cooled and wasn't too fussed about 3D at the time), and thanks to VDPAU, I can now watch 720p video without too many problems!

        Edit: OTOH that may be due to using mplayer instead of VLC...
        Interesting, I tested mplayer also. Maybe VPDAU/XvMC is faster than Xv when using a "slow" CPU and a "fast" GPU. Anyway this is still initial r300 support so it may improve later on.

        Comment


        • #44
          Originally posted by Qaridarium
          hi now with my hd4770 and your "oibaf" ppa heroes of newerth works perfect with the radeon driver

          my last try with an hd5670 fail completely.

          i think the r600g radeon driver is much better on hd4000 cards than hd5000 cards-.
          It is, or at least was, working fine on my 5670. Do file bug reports.

          Comment


          • #45
            Package Tags

            Forgive my stupidity, but what's the difference between the ~m/~n tags on the package names?

            Comment


            • #46
              ~maverick and ~natty

              Comment


              • #47
                D'oh!

                Originally posted by runeks View Post
                ~maverick and ~natty
                Ah. Thanks.
                *puts on dunce cap*

                Comment


                • #48
                  Some updates

                  xf86-video-ati
                  • Llano support, r600 KMS Color Tiling enabled by default


                  mesa
                  • Llano support, r600g improvements, anisotropic filtering extension for softpipe
                  • Re-enabled shared glapi now that bug #36282 is fixed
                  • I am now compiling mesa with -Os rather than -O2. With some quick tests I didn't noticed any performance drops and it provides much smaller binaries (I may get back to -O2 if someone finds problems).
                  • also note that vdpau/xvmc are currently disabled since pipe-video branch conflicts with master branch (I'll re-enable once this is fixed)


                  libdrm
                  • updated to 2.4.26

                  Comment


                  • #49
                    Weird Error with radeon driver.



                    Specs: Mobile Radeon HD 5870 on Linux Mint 11 with Linux 2.6.39 from ppa.

                    Anyone else getting this? This is a 32bit program using ia32libs.

                    Comment


                    • #50
                      Originally posted by CaptSilver View Post


                      Specs: Mobile Radeon HD 5870 on Linux Mint 11 with Linux 2.6.39 from ppa.

                      Anyone else getting this? This is a 32bit program using ia32libs.
                      Maybe it's this bug: https://bugs.freedesktop.org/show_bug.cgi?id=38270

                      Comment

                      Working...
                      X